@echo off
rem Two-pass structure/lexical validation and value validation.
rem Usage: twopass  xsd-schema xsl-stylesheet xml-instance
echo :: Validating %3 with %1 and %2
echo :: Pass 1 XSD structure/lexical validation...
call ..\..\utility\w3cschema %1 %3 >twopass.txt
if %errorlevel% neq 0 goto :error
echo :: No structure/lexical validation errors.
echo :: Pass 2 XSL value validation...
call ..\..\utility\xslt %3 %2 nul 2>twopass.txt
if %errorlevel% neq 0 goto :error
echo :: No value validation errors
goto :done
:error
type twopass.txt
:done